Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.javascript
Class JSFunction

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.ajax4jsf.javascript.JSFunction

All Implemented Interfaces:
  ScriptString

Direct Known Subclasses:
  AjaxSubmitFunction, JSObject

    public class JSFunction

extends ScriptStringBase
implements ScriptString

Version:
  $Revision: 1.1.2.3 $ $Date: 2007/02/06 16:23:26 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Constructor Summary
`JSFunction(java.lang.String name, java.lang.Object... parameters)`

Method Summary
`JSFunction` | `addParameter(java.lang.Object parameter)`
`void` | `appendScript(java.lang.StringBuffer functionString)` Append JavaScript code to @link StringBuffer
`java.util.List<java.lang.Object>` | `getParameters()`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`toScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.javascript.ScriptString
`toScript`

Constructor Detail

### JSFunction

    public JSFunction(java.lang.String name,
                      java.lang.Object... parameters)

Parameters:
  `name` -
  `parameters` -

Method Detail

### addParameter

    public JSFunction addParameter(java.lang.Object parameter)

### appendScript

    public void appendScript(java.lang.StringBuffer functionString)

  Description copied from interface: `ScriptString`
  Append JavaScript code to @link StringBuffer

  Specified by:
    `appendScript` in interface `ScriptString`

### getParameters

    public java.util.List<java.lang.Object> getParameters()

  Returns:
    the parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.